SDK4.0 This document shows Ameba SDK 4.0 APIs

- Main Page
- Modules
- Data Structures
- Files

Enumerator
GPIO_IRQ_EX
Ameba SDK » HAL

gpio IRQ extented functions More...

## Ameba Common
enum | gpio_irq_event_ex { IRQ_LOW = 3, IRQ_HIGH =4 }
void | gpio_irq_deinit (gpio_irq_t *obj)
| Deinitializes the GPIO device interrupt mode, include mode/trigger/polarity registers. More...
void | gpio_irq_pull_ctrl (gpio_irq_t *obj, PinMode pull_type)
| Sets pull type to the selected interrupt pin. More...

## Detailed Description

gpio IRQ extented functions

## Function Documentation

void gpio_irq_deinit | ( | gpio_irq_t * | obj | ) |

Deinitializes the GPIO device interrupt mode, include mode/trigger/polarity registers.

Parameters

  obj | gpio irq object define in application software.

Return values

  none |

void gpio_irq_pull_ctrl | ( | gpio_irq_t * | obj,
|  | PinMode | pull_type
| ) |  |

Sets pull type to the selected interrupt pin.

Parameters

  obj | gpio irq object define in application software.
  pull_type | this parameter can be one of the following values: PullNone: HighZ, user can input high or low use this pin OpenDrain(is OpenDrain output): no pull + OUT + GPIO[gpio_bit] = 0 PullDown: pull down PullUp: pull up

Return values

  none |